%define name	hfsutils
%define version	3.2.6
%define release	3mdk

Summary:		Tools for reading and writing Macintosh HFS volumes
Name:			%{name}
Version:		%{version}
Release:		%{release}

Source:			%{name}-%{version}.tar.bz2

BuildRoot:		%{_tmppath}/%{name}-buildroot
Copyright:		GPL
Group:			File tools
ExclusiveArch:	ppc

%package devel
Summary:	C library for reading and writing Macintosh HFS volumes
Group:		Development/Libraries

%description
A portable, free implementation of routines for accessing HFS volumes.
Provides this through several command-line programs, a tk-based front end
for browsing and copying files, and a Tcl package and interface for
scriptable access to volumes.

%description devel
A portable, free implementation of routines for accessing HFS volumes via a
C library for low-level access to volumes.

%prep

%setup

%build
%configure --with-tcl --with-tk --enable-devlibs

%make

%install
rm -fr $RPM_BUILD_ROOT
# (Dadou) Needed...
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}

# (Dadou) Don't use macros here
make install BINDEST=$RPM_BUILD_ROOT%_prefix/bin MANDEST=$RPM_BUILD_ROOT%_mandir LIBDEST=$RPM_BUILD_ROOT%_libdir INCDEST=$RPM_BUILD_ROOT%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc BLURB CHANGES COPYING COPYRIGHT CREDITS INSTALL README TODO
%config
%{_bindir}/*
%{_mandir}/man1/*

%files -n hfsutils-devel
%defattr (-,root,root)
%{_libdir}/*
%{_includedir}/*

%changelog 
* Sat Sep 17 2000 David BAUDENS <baudens@mandrakesoft.com> 3.2.6-3mdk
- Allow to build (ake big spec clean up, macros, BM & Co.)

* Fri Jul 07 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.2.6-2mdk
- Spec cleanup.
- Adjust groups.

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
